*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

main{
    width: 100%;
    background-color: #ccc;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    row-gap: 5px;
}

main div{
    background-color: red;
    height: 100px;
    width: 100%;
    border: 1px solid black;
    font-size: 24px;
    text-align: center;
    padding: 20px;
}

@media only screen and (min-width: 576px){
    main div{
        background-color: orange;
    }
    .b{
        width: 49.5%;
    }
    .c{
        width:49.5%;
    }
}

@media only screen and (min-width: 800px){
    main div{
        background-color: yellow;
    }
    .b{
        width: 33%;
    }
    .c{
        width: 33%;
    }
    .d{
        width: 33%;
    }
}

@media only screen and (min-width: 1000px){
    main div{
        background-color: green;
    }
    .b{
        width: 49.5%;
        order: 3;
    }
    .c{
        width: 49.5%;
        order: 3;
    }
    .d{
        width: 100%;
        order: 2;
    }
}